<div class="catalog-block tab-pane fade active in" id="block">
   {foreach $products as $product}
   <div class="preview-item-wrap product">
      <div class="preview-item complex {if $product->images|count<2}no__photo-viewer{/if}">
         <div class="preview-item__photo-viewer sku-active">
            <div data-interval="false" id="preview-item-carousel{$product->id}" class="carousel slide preview-item-carousel">
               <a class="carousel-inner" href="products/{$product->url}">
                  {foreach $product->images as $i=>$image}
                  <div class="item {if $image@first}active{/if} image">
                     <img alt="{$product->name|escape}" src="{$image->filename|resize:213:213}" class="preview-item-carousel-image lazy">
                  </div>
                  {/foreach}
               </a>
               {if $product->variant->sku}<span id="art_{$product->id}" class="art">Артикул: <span class="value-art">{$product->variant->sku}</span></span>{/if}
               {if $new_products}<img class="sticker-corner" alt="Новинка" src="design/{$settings->theme|escape}/images/new.png">{/if}
               {if $product->featured}<img class="sticker-corner" alt="Хит" src="design/{$settings->theme|escape}/images/hit.png">{/if}
               {if $product->variant->compare_price > 0}<img class="sticker-corner" alt="Акция" src="design/{$settings->theme|escape}/images/sale.png">{/if}
               <div class="add-buttons no-text no-border">
                  {if $wishlist_products && in_array($product->url, $wishlist_products)}
                  <a href='wishlist/{$product->url}' class="add to-favorites addable flaticon-heart296 action-btn added">
                     <span class="add-text">В избранном</span>
                     <span class="cbutton cbutton--effect-nikola"></span>
                  </a><!-- favorites -->
                  {else}
                  <a href='wishlist/{$product->url}' class="add to-favorites addable flaticon-heart296 action-btn favorite-15348 wishlist">
                     <span class="add-text">Добавить в избранное</span>
                     <span class="cbutton cbutton--effect-nikola"></span>
                  </a><!-- add.to-favorites -->
                  {/if}
                  {if $smarty.session.compared_products && in_array($product->url, $smarty.session.compared_products)}
                  <a href='compare' class="add to-comparison addable flaticon-right130 action-btn added">
                     <span class="add-text">В сравнении</span>
                     <span class="cbutton cbutton--effect-nikola"></span>
                  </a><!-- comparison -->
                  {else}
                  <a href='compare/{$product->url}' class="add to-comparison addable flaticon-right130 action-btn compare-15348 compare">
                     <span class="add-text">Добавить в сравнение</span>
                     <span class="cbutton cbutton--effect-nikola"></span>
                  </a><!-- add.to-comparison -->
                  {/if}
               </div><!-- add-buttons -->
            </div>
            {if $product->images|count>1}
            <div class="thumbs">
               <div data-breakpoint="0" class="thumbs-wrap" style="overflow: hidden;">
                  <div>
                     {foreach $product->images as $i=>$image name=images}
                     <div data-slide-to="{$smarty.foreach.images.index}" data-target="#preview-item-carousel{$product->id}" class="thumb {if $image@first}active{/if}">
                        <img alt="{$product->name|escape}" src="{$image->filename|resize:42:42}" class="thumb-image">
                     </div>
                     {/foreach}
                  </div>
               </div>
               {if $product->images|count>4}
               <button class="thumbs-control up disabled" disabled=""><i class="flaticon-up151"></i></button>
               <button class="thumbs-control down"><i class="flaticon-down119"></i></button>
               {/if}
            </div>
            {/if}
         </div>
         <div class="item-name">
            <div class="name-inner-wrap">
               <a class="classic-link" data-product="{$product->id}" href="products/{$product->url}">{$product->name|escape}</a>
            </div>
         </div>
         <div class="preview-item__caption">
            <div class="caption-hidden">
               <form class="variants" action="cart">
                  {foreach $product->variants as $v}
                  <input id="featured_{$v->id}" name="variant" value="{$v->id}" type="radio" class="variant_radiobutton" {if $v@first}checked{/if} style="display:none;"/>
                  {/foreach}
                  <div class="amount small">
                     <button type="button" class="minus three-color-p disabled"></button>
                     <input type="text" value="1" name="amount" class="form-control quantity-input small">
                     <button type="button" class="plus three-color-p"></button>
                  </div>
                  <button class="add-to-cart-small three-color-i flaticon-ecommerce7" type="submit" role="button"></button>
               </form>
            </div><!-- caption-hidden -->
            <div class="price">{$product->variant->price|convert}<span class="b-rub"> {$currency->sign|escape}</span></div>
            {if $product->variant->compare_price > 0}<div class="old-price">{$product->variant->compare_price|convert}<span class="b-rub"> {$currency->sign|escape}</span></div>{/if}
            <span data-template="detail" data-arparams="" data-disabled="true" data-id="{$product->id}" data-rating="{$product->rating|string_format:"%.0f"}" data-realrating="{$product->rating|string_format:"%.0f"}" itemtype="http://schema.org/AggregateRating" itemscope="" itemprop="aggregateRating" class="stars">
               <i data-index="1" class="flaticon-star129"></i>
               <i data-index="2" class="flaticon-star129"></i>
               <i data-index="3" class="flaticon-star129"></i>
               <i data-index="4" class="flaticon-star129"></i>
               <i data-index="5" class="flaticon-star129"></i>
            </span>			
         </div><!-- preview-item__caption -->
      </div>
   </div>
   {/foreach}               
</div>