{* Страница отдельной записи блога *}
{* Канонический адрес страницы *}
{$canonical="/blog/{$post->url}" scope=parent}
<ol class="breadcrumb" itemscope="" itemtype="http://schema.org/BreadcrumbList">
   <li itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem">
      <a href="/" class="flaticon-house179"></a>
      <meta itemprop="position" content="1">
   </li> 
   <li itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem">
      <a href="blog">Блог</a>
      <meta itemprop="position" content="2">
   </li> 
   <li class="active" itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem">
      {$post->name|escape}
      <meta itemprop="position" content="3">
   </li>
</ol>
<main class="main-page">
   <!-- Заголовок /-->
   <h1 class="main-page-h1" data-post="{$post->id}">{$post->name|escape}</h1>
   <p>{$post->date|date}</p>
   <div class="static-text">
      <!-- Тело поста /-->
      {$post->text}
      <!-- Соседние записи /-->
      <div id="back_forward">
         {if $prev_post}
         ←&nbsp;<a class="prev_page_link" href="blog/{$prev_post->url}">{$prev_post->name}</a>
         {/if}
         {if $next_post}
         <a class="next_page_link" href="blog/{$next_post->url}">{$next_post->name}</a>&nbsp;→
         {/if}
      </div>
      <!-- Комментарии -->
      <div class="col col-sm-12 col-md-6">
         <h2>Комментарии</h2>
         <div class="tab-content">
            <div id="product-questions" class="tab-pane product-questions active in forum">
               <a href="#add-question" class="action-link has-icon link-add-question flaticon-add20" data-toggle="collapse" aria-expanded="false">
                  <span class="link-text">Добавить комментарий</span>
               </a>
               </br></br>
               {if $error}
               {if $error=='captcha'}
               <div class="alert alert-danger alert-dismissible">
                  <button type="button" class="close" data-dismiss="alert">×</button>
                  Неверно введена капча			
               </div>
               {elseif $error=='empty_name'}
               <div class="alert alert-danger alert-dismissible">
                  <button type="button" class="close" data-dismiss="alert">×</button>
                  Введите имя			
               </div>
               {elseif $error=='empty_comment'}
               <div class="alert alert-danger alert-dismissible">
                  <button type="button" class="close" data-dismiss="alert">×</button>
                  Введите комментарий		
               </div>
               {/if}
               {/if}
               <div class="media question-form collapse " id="add-question">
                  <div class="media-left">
                  </div>
                  <form method="POST"  class="media-body" id="form_comment_forum" novalidate="true">
                     <label class="form-group">
                        <span class="label-text">Ваше имя<span class="asterisk-required">*</span>:</span>
                        <input id="comment_name" name="name" value="{$comment_name}" data-format=".+" data-notice="Введите имя" size="30" title="" class="form-control" placeholder="Ваше имя" required="" type="text">
                     </label>
                     <textarea class="form-control" id="comment_text" name="text" data-format=".+" data-notice="Введите комментарий" cols="12" rows="5" placeholder="Введите комментарий" required="">{$comment_text}</textarea>
                     <label class="form-group name registration-forms">
                        <span class="label-text">Введите символы с картинки<span class="asterisk-required">*</span>:</span>
                        <input class="form-control" size="30"  id="comment_captcha" name="captcha_code" value="" data-format="\d\d\d\d" data-notice="Введите капчу" tabindex="7" required="" placeholder="" autocomplete="off" type="text">
                        <span class="captcha">
                           <img src="captcha/image.php?{math equation='rand(10,10000)'}" alt='captcha'/>
                        </span>
                     </label>
                     <br>
                     <button type="submit" class="btn-main btn-primary btn-add-question" value="Отправить" name="comment">Добавить комментарий</button>
                  </form>
               </div><!-- /.form-wrap -->
               <br>
               {if $comments}
               {foreach $comments as $comment}
               <a name="comment_{$comment->id}"></a>
               <div class="media feedback-item" id="blg-comment-10095">
                  <div class="media-left">
                  </div>
                  <div class="media-body">
                     <div class="media-title">
                        <span class="user-name">{$comment->name|escape}</span>
                        <span class="date">{$comment->date|date}, {$comment->date|time} {if !$comment->approved}(ожидает модерации){/if}</span>
                     </div>
                     <div class="question-text">
                     {$comment->text|escape|nl2br}      </div>
                  </div>
               </div>
               {/foreach}
               {else}
               <p>
                  Пока нет комментариев
               </p>
               {/if}
            </div>
         </div>
      </div>
   </div>
	<!--Подключаем js-проверку формы -->
	<script src="/js/baloon/js/default.js" language="JavaScript" type="text/javascript"></script>
	<script src="/js/baloon/js/validate.js" language="JavaScript" type="text/javascript"></script>
	<script src="/js/baloon/js/baloon.js" language="JavaScript" type="text/javascript"></script>
	<link href="/js/baloon/css/baloon.css" rel="stylesheet" type="text/css" /> 
</main>