{* Страница товара *}
{* Канонический адрес страницы *}
{$canonical="/products/{$product->url}" scope=parent}
<!-- Хлебные крошки /-->
<ol class="breadcrumb" itemscope="" itemtype="http://schema.org/BreadcrumbList">
   <li itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem">
      <a href="/" class="flaticon-house179"></a><meta itemprop="position" content="1">
   </li> 
   {foreach $category->path as $cat}
   <li itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem">
      <a itemprop="item" href="catalog/{$cat->url}" title="Каталог">{$cat->name|escape}</a><meta itemprop="position" content="2">
   </li>
   {/foreach}
   {if $brand}
   <li itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem">
      <a itemprop="item" href="catalog/{$cat->url}/{$brand->url}" title="Каталог">{$brand->name|escape}</a><meta itemprop="position" content="3">
   </li>
   {/if}
   <li class="active" itemprop="itemListElement" itemscope="" itemtype="http://schema.org/ListItem">{$product->name|escape}<meta itemprop="position" content="3"></li>
</ol>
<div class="detailed-page" itemscope="" itemtype="http://schema.org/Product">
	<h1 class="h1_detailed" data-product="{$product->id}" itemprop="name">{$product->name|escape}  {if $product->variant->sku}<span id="article_qepX1R_15363" class="art">Артикул: <span class="value-art">{$product->variant->sku}</span></span>{/if}
      {if $brand->image}
      <a href="catalog/{$category->url}/{$brand->url}" class="detailed_manufacturer-link action-link__onclick">
         <span class="action-popover" data-trigger="hover" data-content="{$brand->description}" data-original-title="{$brand->name|escape}" title="{$brand->name|escape}">
            <img class="man-info-img" alt="{$brand->name|escape}" src="{$config->brands_images_dir}{$brand->image}">
         </span>
      </a>
      {/if}
   </h1>
   <div class="item-rating" itemprop="aggregateRating" itemscope="" itemtype="http://schema.org/AggregateRating">
      <meta itemprop="ratingValue" content="{$product->rating|string_format:"%.0f"}">
      <meta itemprop="worstRating" content="0">
      <span class="stars" itemprop="aggregateRating" itemscope="" itemtype="http://schema.org/AggregateRating" data-realrating="{$product->rating|string_format:"%.1f"}" data-rating="{$product->rating|string_format:"%.0f"}" data-id="15363" data-disabled="false" data-arparams="" data-template="detail">
         <div class="ratings" rel="{$product->id}">
            <span class="rater-starsOff"><span style="width:{$product->rating*80/5|string_format:"%.0f"}px" class="rater-starsOn"></span></span>
         </div> 
      </span>
      <span class="rate-text">{$product->votes|string_format:"%.0f"} {$product->votes|plural:'Голос':'Голосов':'Голоса'}</span>
   </div>
   <div class="row detailed__main-info-wrap product">
      <div class="detailed__main-gallery col-xs-12 col-sm-5 col-md-4 col-lg-5">
         <div class="gallery-photo-viewer normal-photo-viewer">
            <div class="carousel slide gallery-carousel " id="gallery-carousel" data-interval="false">
               <div class="carousel-inner " id="gallery-carousel_src">
                  {foreach $product->images as $i=>$image}
                  <div class="item {if $image@first}active{/if} image">
                     <img class="gallery-zoom gallery-carousel-image" src="{$image->filename|resize:465:465}" data-zoom-image="{$image->filename|resize:465:465}" alt="{$product->name|escape}{$smarty.foreach.images.index}">
                  </div>
                  {/foreach}
                  {if $product->images|count>1}
                  <a class="left carousel-control" href="#gallery-carousel" role="button" data-slide="prev">
                     <span class="glyphicon glyphicon-chevron-left" aria-hidden="true">
                        <span class="cbutton cbutton--effect-lazar cbutton--effect-lazar-inverted"></span>
                     </span>
                     <span class="sr-only">Previous</span>
                  </a>
                  <a class="right carousel-control" href="#gallery-carousel" role="button" data-slide="next">
                     <span class="glyphicon glyphicon-chevron-right" aria-hidden="true">
                        <span class="cbutton cbutton--effect-lazar"></span>
                     </span>
                     <span class="sr-only">Next</span>
                  </a>
                  {/if}
                  <div data-slide-zoom="0" class="btn-zoom three-color-p flaticon-zoom61" data-toggle="modal" data-target="#modal-gallery"></div>
               </div>
            </div>
            {if $product->images|count>1}
            <div class="thumbs normal-thumbs">
               <div class="thumbs-wrap" data-breakpoint="1199" style="top: 0px; bottom: 0px; overflow: hidden;">
                  <div class="thumbs-inner" id="gallery-carousel_thumb" style="transform: translateZ(0px); height: 525px;">
                     {foreach $product->images as $i=>$image name=images}
                     <div class="thumb {if $image@first}active{/if}" data-target="#gallery-carousel" data-slide-to="{$smarty.foreach.images.index}">
                        <img src="{$image->filename|resize:77:77}" alt="{$product->name|escape}{$smarty.foreach.images.index}" class="thumb-image gallery-carousel-image">
                     </div>
                     {/foreach}
                  </div>
               </div>
               <button class="thumbs-control up flaticon-left207 disabled" style="display: none;" disabled=""></button>
               <button class="thumbs-control down flaticon-right218 disabled" style="display: none;" disabled=""></button>
            </div>
            {/if}
         </div>                               		
      </div>
      <div class="detailed__item-parameters col-xs-12 col-sm-7 col-md-5 col-lg-4 col-xl-3">
         <div class="availability">
            <div class="availability-title">Наличие:</div>					
            {if $product->variant->stock > 40}
            <div class="availability-item">
               <div class="on-stock">
                  <div class="on-stock-stripes">
                     <span class="on-stock-stripes lots"></span>
                  </div>
                  <span class="on-stock-text">(много)</span>			
               </div>
            </div>
            {elseif $product->variant->stock > 20}
            <div class="availability-item">
               <div class="on-stock">
                  <div class="on-stock-stripes">
                     <span class="on-stock-stripes plenty"></span>
                  </div>
               <span class="on-stock-text">(достаточно)</span>						</div>
            </div>
            {/if}
            {if $product->variant->stock < 20 }
            <div class="availability-item">
               <div class="on-stock">
                  <div class="on-stock-stripes">
                     <span class="on-stock-stripes few"></span>
                  </div>
               <span class="on-stock-text">(мало)</span>			</div>
            </div>
            {/if}
         </div>
         <div class="add-buttons">
            {if $wishlist_products && in_array($product->url, $wishlist_products)}
            <a href='wishlist' class="add to-favorites addable flaticon-heart296 action-btn added">
               <span class="added-text">Добавлено в избранное</span>
               <span class="cbutton cbutton--effect-nikola"></span>
            </a><!-- add.to-favorites -->
            {else}
            <a href='wishlist/{$product->url}' class="add to-favorites addable flaticon-heart296 action-btn wishlist">
               <span class="add-text">Добавить в избранное</span>
               <span class="added-text">Добавлено в избранное</span>
               <span class="cbutton cbutton--effect-nikola"></span>
            </a><!-- add.to-favorites -->
            {/if}
            {if $smarty.session.compared_products && in_array($product->url, $smarty.session.compared_products)}
            <a href='compare' class="add to-comparison addable flaticon-right130 action-btn added">
               <span class="added-text">Добавлено в сравнение</span>
               <span class="cbutton cbutton--effect-nikola"></span>
            </a><!-- add.to-comparison -->
            {else}
            <a href='compare/{$product->url}' class="add to-comparison addable flaticon-right130 action-btn compare">
               <span class="add-text">Добавить в сравнение</span>
               <span class="added-text">Добавлено в сравнение</span>
               <span class="cbutton cbutton--effect-nikola"></span>
            </a><!-- add.to-comparison -->
            {/if}
         </div><!-- add-buttons -->
      </div>
      <form class="variants" action="/cart">
         <div class="detailed__actions col-xs-12 col-sm-12 col-md-3 col-lg-3 col-xl-2">
            <div class="detailed__action price" itemprop="offers" itemscope="" itemtype="http://schema.org/Offer">
               <div class="detail-parameter-block-title">Стоимость:</div>
               <div class="sale-price {if $product->variant->compare_price < 1}no-sale{/if}" id="current_price" data-price="{$product->variant->price|convert}"><span class="prices">{$product->variant->price|convert} </span><span class="b-rub">   {$currency->sign|escape}</span></div>
               <meta itemprop="price" content="{$product->variant->price|convert}">
               <meta itemprop="priceCurrency" content="{$currency->sign|escape}">
               <meta itemprop="availability" content="InStock">
               {if $product->variant->compare_price > 0}
               <div class="old-price-line" id="old_price_qepX1R_20156_container">
                  <span class="old-price-text">Старая цена:</span>
                  <span class="old-price-value" id="old_price_qepX1R_20156"><span class="compare_price">{$product->variant->compare_price|convert}</span><span class="b-rub">  {$currency->sign|escape}</span></span>
               </div>
               <!-- old-price -->
               <div class="discount-sign flaticon-commercial40" id="price_percentqepX1R_20150_container">
                  <span class="discount-sign-text">
                     скидка <span id="price_percentqepX1R_20150">{floor(abs(100-{$product->variant->price}/($product->variant->compare_price)*100))}</span>%
                  </span>
               </div>
               <!-- discount-sign -->
               {/if}
            </div>
            <div class="detailed__action">
               <select class="{if $product->variants|count > 1}input_select_style cs-select cs-skin-elastic  sort-by-select  {/if}" name="variant" {if $product->variants|count==1  && !$product->variant->name}style='display:none;'{/if} >
                  {foreach $product->variants as $v}
                  <option value="{$v->id}" {if $v->compare_price > 0}compare_price="{$v->compare_price|convert}"{/if} price="{$v->price|convert}">
                     {$v->name}
                  </option>
                  {/foreach}
               </select>
               {if $product->variants|count > 1} </br></br>{/if}
               <div class="amount">
                  <button type="button" class="minus three-color-p disabled"></button>
                  <input  class="form-control quantity-input"  name="amount" value="1"  type="text">
                  <button type="button" class="plus three-color-p"></button>
               </div>
               <div class="btns-wrap">
                  <button class="btn-main add-to-cart btn-primary" id="button_qepX1R_15363" type="submit" data-id="15363" data-q="#current_quantity" data-props="Array" data-toggle-text=" Уже в корзине">
                     <span class="svg-wrap">
                        <svg xmlns="http://www.w3.org/2000/svg">
                           <use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#cart-add"/>
                        </svg>
                     </span>
                  В корзину</button>
               </div>
            </div>
         </div>
      </form>
      <div class="detailed__contacts col-xs-12 col-sm-12 col-md-12 col-xl-2">
         <div class="call-us">
            <div class="call-us-title">Позвоните сейчас!</div>
            <div class="phone-info flaticon-phone325">
               <div class="phone-number">+ 7 (000) 000-000</div>
               <p>телефон доступен</p>
               <p>24 часа  7 дней в неделю</p>
            </div><!-- phone-info -->
            <div class="showboat">
               <p>Мы очень любим наших клиентов и предоставляем им самые низкие цены на продукцию.</p>
               <p>Более 100 довольных клиентов каждый день!</p>
            </div><!-- showboat -->
            </div><!-- call-us -->                                           <div class="share">
            <div class="share-text">Поделиться с друзьями:</div>
            <!--noindex-->
            <div id="asd_share_buttons" class="share-logos">
               <a class="social vk" data-tooltip="" data-placement="bottom" href="#" title="" onclick="window.open('http://vkontakte.ru/share.php?url={$config->root_url}/products/{$product->url}', '', 'scrollbars=yes,resizable=no,width=560,height=350,top='+Math.floor((screen.height - 350)/2-14)+',left='+Math.floor((screen.width - 560)/2-5)); return false;" data-original-title="Расшарить во ВКонтакте"></a>
               <a class="social fb" data-tooltip="" data-placement="bottom" href="#" title="" onclick="window.open('http://www.facebook.com/sharer.php?url={$config->root_url}/products/{$product->url}', '', 'scrollbars=yes,resizable=no,width=560,height=350,top='+Math.floor((screen.height - 350)/2-14)+',left='+Math.floor((screen.width - 560)/2-5)); return false;" data-original-title="Расшарить в Facebook"></a>
               <a class="social gplus" data-tooltip="" data-placement="bottom" href="#" title="" onclick="window.open('https://plus.google.com/share?url={$config->root_url}/products/{$product->url}', '', 'scrollbars=yes,resizable=no,width=560,height=350,top='+Math.floor((screen.height - 350)/2-14)+',left='+Math.floor((screen.width - 560)/2-5)); return false;" data-original-title="Расшарить в Google Plus"></a>
               <a class="social odn" data-tooltip="" data-placement="bottom" href="#" title="" onclick="window.open('http://www.odnoklassniki.ru/dk?st.cmd=addShare&amp;st._surl={$config->root_url}/products/{$product->url}', '', 'scrollbars=yes,resizable=no,width=620,height=450,top='+Math.floor((screen.height - 450)/2-14)+',left='+Math.floor((screen.width - 620)/2-5)); return false;" data-original-title="Расшарить в Одноклассники"></a>
               <a class="social tw" data-tooltip="" data-placement="bottom" href="#" title="" onclick="window.open('http://twitter.com/share?url={$config->root_url}/products/{$product->url}', '', 'scrollbars=yes,resizable=no,width=560,height=350,top='+Math.floor((screen.height - 350)/2-14)+',left='+Math.floor((screen.width - 560)/2-5)); return false;" data-original-title="Расшарить в Twitter"></a>
               <a class="social mail" data-tooltip="" data-placement="bottom" rel="nofollow" href="#" title="" onclick="window.open('http://connect.mail.ru/share?share_url={$config->root_url}/products/{$product->url}', '', 'scrollbars=yes,resizable=no,width=560,height=350,top='+Math.floor((screen.height - 350)/2-14)+',left='+Math.floor((screen.width - 560)/2-5)); return false;" data-original-title="Расшарить в Mail.Ru"></a>
            </div>
         <!--/noindex-->                                 </div>
      </div>
      <!-- detailed__actions -->
   </div>
   <div class="product-info">
      <div class="row">
         <div class="col col-sm-12 col-md-6">
            <ul class="nav nav-pills product-info-nav" role="tablist">
               <li role="presentation" class="active">
                  <a href="#product-description" role="tab" data-toggle="pill">описание</a>
               </li>
            </ul>
            <div class="tab-content">
               <div class="tab-pane active product-description desc in active" id="product-description">
                  <p class="product-description-text" itemprop="description">
                     {$product->body}
                  </p>
                  <div class="row">
                     <div class="product-description-part col-xs-12 col-sm-6 col-md-12">
                        <a href="#product-description-part-0" class="product-description-part-title" data-toggle="collapse" aria-expanded="true">
                           <span>Основные характеристики товара</span>
                        </a>
                        <div class="product-description-part-text collapse in" id="product-description-part-0">
                           {foreach $product->features as $f} 
                           <p>
                              <span class="property-name">{$f->name}:</span>               
                              {$f->value}             
                           </p>
                           {/foreach}
                        </div>
                     </div><!-- .tech-info-block -->
                  </div>
               </div>
            </div>
            <!-- tab-content -->
         </div>
         <!-- col -->
         <div class="col col-sm-12 col-md-6">
            <ul class="nav nav-pills product-info-nav" role="tablist">
               <li role="presentation" class="active">
                  <a href="#product-questions" role="tab" data-toggle="pill">Отзывы</a>
               </li>
            </ul>
            <div class="tab-content">
               <div id="product-questions" class="tab-pane product-questions active in forum">
                  <a href="#add-question" class="action-link has-icon link-add-question flaticon-add20" data-toggle="collapse" aria-expanded="false">
                     <span class="link-text">Добавить отзыв</span>
                  </a>
                  </br></br>
                  {if $error}
                  {if $error=='captcha'}
                  <div class="alert alert-danger alert-dismissible">
                     <button type="button" class="close" data-dismiss="alert">×</button>
                     Неверно введена капча			
                  </div>
                  {elseif $error=='empty_name'}
                  <div class="alert alert-danger alert-dismissible">
                     <button type="button" class="close" data-dismiss="alert">×</button>
                     Введите имя			
                  </div>
                  {elseif $error=='empty_comment'}
                  <div class="alert alert-danger alert-dismissible">
                     <button type="button" class="close" data-dismiss="alert">×</button>
                     Введите отзыв		
                  </div>
                  {/if}
                  {/if}
                  <div class="media question-form collapse " id="add-question">
                     <div class="media-left"></div>
                     <form method="POST"  class="media-body" id="form_comment_forum" novalidate="true">
                        <label class="form-group">
                           <span class="label-text">Ваше имя<span class="asterisk-required">*</span>:</span>
                           <input id="comment_name" name="name" value="{$comment_name}" data-format=".+" data-notice="Введите имя" size="30" title="" class="form-control" placeholder="Ваше имя" required="" type="text">
                        </label>
                        <textarea class="form-control" id="comment_text" name="text" data-format=".+" data-notice="Введите отзыв" cols="12" rows="5" placeholder="Введите отзыв" required="">{$comment_text}</textarea>
                        <label class="form-group name registration-forms">
                           <span class="label-text">Введите символы с картинки<span class="asterisk-required">*</span>:</span>
                           <input class="form-control" size="30"  id="comment_captcha" name="captcha_code" value="" data-format="\d\d\d\d" data-notice="Введите капчу" tabindex="7" required="" placeholder="" autocomplete="off" type="text">
                           <span class="captcha">
                              <img src="captcha/image.php?{math equation='rand(10,10000)'}" alt='captcha'/>
                           </span>
                        </label>
                        <br>
                        <button type="submit" class="btn-main btn-primary btn-add-question" value="Отправить" name="comment">Добавить отзыв</button>
                     </form>
                  </div><!-- /.form-wrap -->
                  {if $comments}
                  {foreach $comments as $comment}
                  <a name="comment_{$comment->id}"></a>
                  <div class="media feedback-item" id="blg-comment-10095">
                     <div class="media-left">
                     </div>
                     <div class="media-body">
                        <div class="media-title">
                           <span class="user-name">{$comment->name|escape}</span>
                           <span class="date">{$comment->date|date}, {$comment->date|time}  {if !$comment->approved}(ожидает модерации){/if}</span>
                        </div>
                        <div class="question-text">
                        {$comment->text|escape|nl2br}      
                        </div>
                     </div>
                  </div>
                  {/foreach}
                  {else}
                  <br>
                  <p>
                     Пока нет отзывов
                  </p>
                  {/if}
               </div>
            </div>
         </div>
      </div>
      <!-- row -->
   </div><!-- product-info -->
   {if $related_products}
   <div id="#recomend_items">
   </div>
   <h2>Похожие товары:</h2>
	<div class="item-frame no-scroll" style="overflow: hidden;">
		<div class="items-gallery" style="transform: translateZ(0px); width: 247px;">
			{foreach $related_products as $related_product}
         <div class="preview-item product">
            <div class="preview-item__image-wrap">
               <a href="products/{$related_product->url}" class="preview-item__image-link image">
                  <img src="{$related_product->image->filename|resize:213:213}" data-original="{$related_product->image->filename|resize:213:213}" alt="{$related_product->name|escape}" class="preview-item__image lazy" style="display: inline;">
               </a>
               {if $related_product->variant->sku}<span id="art_{$product->id}" class="art">Артикул: <span class="value-art">{$related_product->variant->sku}</span></span>{/if}
               {if $related_product->featured}<img class="sticker-corner" alt="Хит" src="design/{$settings->theme|escape}/images/hit.png">{/if}
               {if $related_product->variant->compare_price > 0}<img class="sticker-corner" alt="Акция" src="design/{$settings->theme|escape}/images/sale.png">{/if}
               <div class="add-buttons no-text no-border">
                  {if $wishlist_products && in_array($product->url, $wishlist_products)}
                  <a href='wishlist/{$product->url}' class="add to-favorites addable flaticon-heart296 action-btn added">
                     <span class="add-text">В избранном</span>
                     <span class="cbutton cbutton--effect-nikola"></span>
                  </a><!-- favorites -->
                  {else}
                  <a href='wishlist/{$product->url}' class="add to-favorites addable flaticon-heart296 action-btn favorite-15348 wishlist">
                     <span class="add-text">Добавить в избранное</span>
                     <span class="cbutton cbutton--effect-nikola"></span>
                  </a><!-- add.to-favorites -->
                  {/if}
                  {if $smarty.session.compared_products && in_array($product->url, $smarty.session.compared_products)}
                  <a href='compare' class="add to-comparison addable flaticon-right130 action-btn added">
                     <span class="add-text">В сравнении</span>
                     <span class="cbutton cbutton--effect-nikola"></span>
                  </a><!-- comparison -->
                  {else}
                  <a href='compare/{$product->url}' class="add to-comparison addable flaticon-right130 action-btn compare-15348 compare">
                     <span class="add-text">Добавить в сравнение</span>
                     <span class="cbutton cbutton--effect-nikola"></span>
                  </a><!-- add.to-comparison -->
                  {/if}
               </div><!-- add-buttons -->
            </div>
            <div class="item-name">
               <div class="name-inner-wrap">
                  <a href="products/{$related_product->url}" data-product="{$related_product->id}" class="classic-link">{$related_product->name|escape}</a>
               </div>
            </div>
            <div class="preview-item__caption">
               <div class="caption-hidden">
                  <form class="variants" action="cart">
                     {foreach $related_product->variants as $v}
                     <input id="featured_{$v->id}" name="variant" value="{$v->id}" type="radio" class="variant_radiobutton" {if $v@first}checked{/if} style="display:none;"/>
                     {/foreach}
                     <div class="amount small">
                        <button type="button" class="minus three-color-p disabled"></button>
                        <input type="text" value="1" name="amount" class="form-control quantity-input small">
                        <button type="button" class="plus three-color-p"></button>
                     </div>
                     <button class="add-to-cart-small three-color-i flaticon-ecommerce7" type="submit" role="button"></button>
                  </form>
               </div><!-- caption-hidden -->
               <div class="price">{$related_product->variant->price|convert}<span class="b-rub"> {$currency->sign|escape}</span></div>
               {if $related_product->variant->compare_price > 0}<div class="old-price">{$related_product->variant->compare_price|convert}<span class="b-rub"> {$currency->sign|escape}</span></div>{/if}
               <span data-template="detail" data-arparams="" data-disabled="true" data-id="{$related_product->id}" data-rating="{$related_product->rating|string_format:"%.0f"}" data-realrating="{$related_product->rating|string_format:"%.0f"}" itemtype="http://schema.org/AggregateRating" itemscope="" itemprop="aggregateRating" class="stars">
                  <meta itemprop="ratingValue" content="{$related_product->rating|string_format:"%.0f"}">
                  <meta itemprop="worstRating" content="0">
                  <i data-index="1" class="flaticon-star129"></i>
                  <i data-index="2" class="flaticon-star129"></i>
                  <i data-index="3" class="flaticon-star129"></i>
                  <i data-index="4" class="flaticon-star129"></i>
                  <i data-index="5" class="flaticon-star129"></i>
               </span>			
            </div><!-- preview-item__caption -->
         </div>		
         {/foreach}
      </div>
   </div>
	<div class="pages-wrap">
		<button class="prevPage three-color-p flaticon-left207 disabled" disabled="">
			<span class="cbutton cbutton--effect-lazar cbutton--effect-lazar-inverted"></span>
      </button>
		<div class="nums"><span class="num-current"></span> / <span class="num-total"></span></div>
		<ul class="pages"><li class="active"></li></ul>
		<button class="nextPage three-color-p flaticon-right218 disabled" disabled=""><span class="cbutton cbutton--effect-lazar"></span></button>
   </div><!-- pages-wrap -->
   {/if}
</div> 